For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • POSTAdd cost lines in batch
      • GETList normalized costs
      • DELDelete cost line
      • PATCHUpdate a cost line
      • POSTBind a cost line to an asset(s)
      • POSTUnbind a cost line to an asset(s)
      • GETList Cost Categories
      • GETGet Cost Category
      • DELDelete Cost Category
      • PATCHUpdate Cost Category
      • POSTAdd Cost Category
Trebellar Platform
LogoLogo
API ResourcesCosts

List normalized costs

||View as Markdown|
GET
https://api.trebellar.app/api/v2/costs/normalized
GET
/api/v2/costs/normalized
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.costs.listCosts({
8 periodStartAt: "periodStartAt",
9 periodEndAt: "periodEndAt",
10 });
11}
12main();
1{
2 "data": [
3 {
4 "assetId": "string",
5 "value": 1.1,
6 "categoryId": "string",
7 "name": "string",
8 "categoryParentId": "string",
9 "month": "string",
10 "rawCostLines": [
11 {
12 "id": "string",
13 "cadence": "COST_LINE_CADENCE_MONTHLY",
14 "assetSplit": [
15 "string"
16 ]
17 }
18 ]
19 }
20 ]
21}
Was this page helpful?
Previous

Add cost lines in batch

Next

Delete cost line

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

fromAssetIdsstringOptional
maxDepthstringOptional
periodStartAtstringRequired
periodEndAtstringRequired
categoryPathstringOptional
cadence"COST_LINE_CADENCE_UNKNOWN" or "COST_LINE_CADENCE_ONE_TIME" or "COST_LINE_CADENCE_MONTHLY" or "COST_LINE_CADENCE_QUARTERLY" or "COST_LINE_CADENCE_TWICE_A_YEAR" or "COST_LINE_CADENCE_ANNUAL"Optional

Response

Normalized costs returned successfully
datalist of objects

Errors

400
Bad Request Error
500
Internal Server Error